      program dax
      integer dim
      implicit none
      integer l, m, n
      parameter (dim=10)
      double precision a(dim, dim), x(dim), b(dim)

      read (*,*) l, m, n
      call dg_read_matrix(a, l, m)
      call dg_read_matrix(x, m, n)
      call daxa(a, x, b, l, m, n)
      write (*,*) ""
      call dg_write_matrix(b, l, n, '', 0)

      end ! program dax
